## org.metaabm.function.impl
Class MetaABMFunctionFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.metaabm.function.impl.MetaABMFunctionFactoryImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, MetaABMFunctionFactory

    public class MetaABMFunctionFactoryImpl

extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements MetaABMFunctionFactory

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`EDATE_FORMATS, ePackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.metaabm.function.MetaABMFunctionFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`MetaABMFunctionFactoryImpl()` Creates an instance of the factory.

Method Summary
`org.eclipse.emf.ecore.EObject` `create(org.eclipse.emf.ecore.EClass eClass)`
`FArgumentArrayPrototype` `createFArgumentArrayPrototype()`
`FArgumentPrototype` `createFArgumentPrototype()`
`FGenericFunction` `createFGenericFunction()`
`FGenericLogical` `createFGenericLogical()`
`FImplementedLibrary` `createFImplementedLibrary()`
`FLibrary` `createFLibrary()`
`FLogicalOperator` `createFLogicalOperator()`
`FMultiArgumentPrototype` `createFMultiArgumentPrototype()`
`FOperator` `createFOperator()`
`MetaABMFunctionPackage` `getMetaABMFunctionPackage()`
`static MetaABMFunctionPackage` `getPackage()` Deprecated.
`static MetaABMFunctionFactory` `init()` Creates the default factory implementation.

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, convertToString, createFromString, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage, split`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### MetaABMFunctionFactoryImpl

    public MetaABMFunctionFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static MetaABMFunctionFactory init()

  Creates the default factory implementation.

### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `create` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createFArgumentPrototype

    public FArgumentPrototype createFArgumentPrototype()

  Specified by:
    `createFArgumentPrototype` in interface `MetaABMFunctionFactory`
  Returns:
    a new object of class 'FArgument Prototype'.

### createFArgumentArrayPrototype

    public FArgumentArrayPrototype createFArgumentArrayPrototype()

  Specified by:
    `createFArgumentArrayPrototype` in interface `MetaABMFunctionFactory`
  Returns:
    a new object of class 'FArgument Array Prototype'.

### createFOperator

    public FOperator createFOperator()

  Specified by:
    `createFOperator` in interface `MetaABMFunctionFactory`
  Returns:
    a new object of class 'FOperator'.

### createFLogicalOperator

    public FLogicalOperator createFLogicalOperator()

  Specified by:
    `createFLogicalOperator` in interface `MetaABMFunctionFactory`
  Returns:
    a new object of class 'FLogical Operator'.

### createFGenericFunction

    public FGenericFunction createFGenericFunction()

  Specified by:
    `createFGenericFunction` in interface `MetaABMFunctionFactory`
  Returns:
    a new object of class 'FGeneric Function'.

### createFGenericLogical

    public FGenericLogical createFGenericLogical()

  Specified by:
    `createFGenericLogical` in interface `MetaABMFunctionFactory`
  Returns:
    a new object of class 'FGeneric Logical'.

### createFLibrary

    public FLibrary createFLibrary()

  Specified by:
    `createFLibrary` in interface `MetaABMFunctionFactory`
  Returns:
    a new object of class 'FLibrary'.

### createFImplementedLibrary

    public FImplementedLibrary createFImplementedLibrary()

  Specified by:
    `createFImplementedLibrary` in interface `MetaABMFunctionFactory`
  Returns:
    a new object of class 'FImplemented Library'.

### createFMultiArgumentPrototype

    public FMultiArgumentPrototype createFMultiArgumentPrototype()

  Specified by:
    `createFMultiArgumentPrototype` in interface `MetaABMFunctionFactory`
  Returns:
    a new object of class 'FMulti Argument Prototype'.

### getMetaABMFunctionPackage

    public MetaABMFunctionPackage getMetaABMFunctionPackage()

  Specified by:
    `getMetaABMFunctionPackage` in interface `MetaABMFunctionFactory`
  Returns:
    the package supported by this factory.

### getPackage

    @Deprecated
    public static MetaABMFunctionPackage getPackage()

  Deprecated.